using skyscraper5.Skyscraper;
using skyscraper5.Skyscraper.IO;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.InteractionChannel.Model
{
	public class Tmst : Validatable
	{
		public Tmst(MemoryStream ms)
		{
			byte transmissionModeCount = ms.ReadUInt8();
			Modes = ms.ReadBytes(transmissionModeCount);
			uint crc32 = ms.ReadUInt32BE();
			Valid = true;
		}

		public byte[] Modes { get; }
	}
}
